diff --git a/sources/src/cz/zcu/kiv/offscreen/graph/GraphManager.java b/sources/src/cz/zcu/kiv/offscreen/graph/GraphManager.java
index 6a22bb5..a172e78 100644
--- a/sources/src/cz/zcu/kiv/offscreen/graph/GraphManager.java
+++ b/sources/src/cz/zcu/kiv/offscreen/graph/GraphManager.java
@@ -1,8 +1,8 @@
 package cz.zcu.kiv.offscreen.graph;
 
-import cz.zcu.kiv.offscreen.AttributeType;
-import cz.zcu.kiv.offscreen.api.GraphInterface;
-import cz.zcu.kiv.offscreen.api.VertexInterface;
+import cz.zcu.kiv.offscreen.api.Edge;
+import cz.zcu.kiv.offscreen.api.SubedgeInfo;
+import cz.zcu.kiv.offscreen.api.Vertex;
 import cz.zcu.kiv.offscreen.graph.filter.*;
 import cz.zcu.kiv.offscreen.graph.loader.JSONConfigLoader;
 
@@ -49,12 +49,12 @@ public class GraphManager {
     /**
      * key is the archetype index, value is the set of vertices of the given archetype
      */
-    public Map<Integer, HashSet<VertexData>> vertices = new HashMap<>();
+    public Map<Integer, HashSet<VertexImpl>> vertices = new HashMap<>();
 
     /**
      * key is the triplet of archetypes {fromVertex, edge, toVertex}, value is the list of edges for the given archetype triplet
      */
-    public Map<EdgeArchetypeInfo, List<EdgeData>> edges = new HashMap<>();
+    public Map<EdgeArchetypeInfo, List<EdgeImpl>> edges = new HashMap<>();
 
     public void addVertexArchetype(String name, String text) {
         vertexArchetypes.add(new VertexArchetype(name, text));
@@ -64,12 +64,7 @@ public class GraphManager {
         edgeArchetypes.add(new EdgeArchetype(name, text));
     }
 
-    /**
-     *
-     * @param name
-     * @param dataType
-     * @param text
-     */
+
     public void addAttributeType(String name, AttributeDataType dataType, String text) {
         attributeTypes.add(new AttributeType(name, dataType, text));
     }
@@ -153,11 +148,11 @@ public class GraphManager {
      * @param attributes     - Map of attributes associated with the vertex
      */
     public void addVertex(int id, String title, String text, int archetypeIndex, Map<Integer, Attribute> attributes) {
-        VertexData vertexToAdd = new VertexData(id, title, text, archetypeIndex);
+        VertexImpl vertexToAdd = new VertexImpl(id, id, title, archetypeIndex, text);
         if (vertices.containsKey(archetypeIndex)) {
             vertices.get(archetypeIndex).add(vertexToAdd);
         } else {
-            HashSet<VertexData> vertexSet = new HashSet<>();
+            HashSet<VertexImpl> vertexSet = new HashSet<>();
             vertexSet.add(vertexToAdd);
             vertices.put(archetypeIndex, vertexSet);
         }
@@ -177,16 +172,16 @@ public class GraphManager {
      * @param attributes    - Map of attributes associated with the edge
      */
     public void addEdge(int id, int from, int to, String text, EdgeArchetypeInfo archetypeInfo, Map<Integer, Attribute> attributes) {
-        EdgeData edgeToAdd = new EdgeData(id, from, to, text, archetypeInfo.edgeArchetypeIndex);
+        EdgeImpl edgeToAdd = new EdgeImpl(id, from, to, text, id, archetypeInfo.edgeArchetypeIndex);
+        edgeToAdd.addAttributes(attributes);
+
         if (edges.containsKey(archetypeInfo)) {
             edges.get(archetypeInfo).add(edgeToAdd);
         } else {
-            List<EdgeData> edgesList = new ArrayList<>();
+            List<EdgeImpl> edgesList = new ArrayList<>();
             edgesList.add(edgeToAdd);
             edges.put(archetypeInfo, edgesList);
         }
-
-        edgeToAdd.addAttributes(attributes);
     }
 
     /**
@@ -256,12 +251,12 @@ public class GraphManager {
 
     /**
      * Filters the edges and vertices according to the default filter loaded from the configuration file
-     * and constructs the {@code GraphImpl} object.
+     * and constructs the {@code Graph} object.
      * @param configLoader - The object that loads the configuration file.
-     * @return - Constructed {@code GraphImpl} object.
+     * @return - Constructed {@code Graph} object.
      */
-    public GraphInterface createGraph(JSONConfigLoader configLoader) {
-        GraphInterface graph = new GraphImpl();
+    public Graph createGraph(JSONConfigLoader configLoader) {
+        Graph graph = new Graph();
 
         // To use default filter from a configuration file
         GraphFilter filter = configLoader.loadDefaultFilter();
@@ -275,14 +270,17 @@ public class GraphManager {
         Map<String, String> archetypeIcons = configLoader.loadArchetypeIcons();
         graph.setArchetypeIcons(archetypeIcons);
 
-        List<Integer> defaultGroupArchetypes = configLoader.loadGroupArchetypes();
+        List<String> defaultGroupArchetypes = configLoader.loadGroupArchetypesStrings();
         graph.setDefaultGroupArchetypes(defaultGroupArchetypes);
 
-        Set<VertexData> resultVertices = getVerticesByArchetypeFilter(filter);
+
+
+
+        Set<VertexImpl> resultVertices = getVerticesByArchetypeFilter(filter);
 
         resultVertices = getVerticesByAttributeFilter(filter, resultVertices);
 
-        List<EdgeData> resultEdges = getEdgesByArchetypeFilter(filter, resultVertices);
+        List<EdgeImpl> resultEdges = getEdgesByArchetypeFilter(filter, resultVertices);
 
         resultEdges = getEdgesByAttributeFilter(filter, resultEdges);
 
@@ -302,15 +300,15 @@ public class GraphManager {
      * @param vertices - List of vertices for filtration.
      * @return - List of vertices filtered by attribute.
      */
-    private Set<VertexData> getVerticesByAttributeFilter(GraphFilter filter, Set<VertexData> vertices) {
-        Set<VertexData> resultVertices = new HashSet<>();
-        for (VertexData vertex : vertices) {
+    private Set<VertexImpl> getVerticesByAttributeFilter(GraphFilter filter, Set<VertexImpl> vertices) {
+        Set<VertexImpl> resultVertices = new HashSet<>();
+        for (VertexImpl vertex : vertices) {
             boolean filterPassed = true;
-            AttributeFilter attributeFilter = filter.getVertexAttributeFilter(vertex.archetypeIndex);
+            AttributeFilter attributeFilter = filter.getVertexAttributeFilter(vertex.getArchetype());
             if (attributeFilter != null) {
                 // Iterate through all attributes of the vertex
-                for (int attributeIndex : vertex.attributes.keySet()) {
-                    Attribute vertexAttribute = vertex.attributes.get(attributeIndex);
+                for (int attributeIndex : vertex.getAttributesMap().keySet()) {
+                    Attribute vertexAttribute = vertex.getAttributesMap().get(attributeIndex);
 
                     filterPassed = (filterPassed && checkAttributeFiltersPassed(vertexAttribute, attributeFilter, attributeIndex));
                     if (!filterPassed) break;   // filter did not pass
@@ -328,15 +326,15 @@ public class GraphManager {
      * @param edges - List of edges for filtration.
      * @return - List of edges filtered by attribute.
      */
-    private List<EdgeData> getEdgesByAttributeFilter(GraphFilter filter, List<EdgeData> edges) {
-        List<EdgeData> resultEdges = new ArrayList<>();
-        for (EdgeData edge : edges) {
+    private List<EdgeImpl> getEdgesByAttributeFilter(GraphFilter filter, List<EdgeImpl> edges) {
+        List<EdgeImpl> resultEdges = new ArrayList<>();
+        for (EdgeImpl edge : edges) {
             boolean filterPassed = true;
-            AttributeFilter attributeFilter = filter.getEdgeAttributeFilter(edge.archetypeIndex);
+            AttributeFilter attributeFilter = filter.getEdgeAttributeFilter(edge.getArchetype());
             if (attributeFilter != null) {
                 // Iterate through all attributes of the edge
-                for (int attributeIndex : edge.attributes.keySet()) {
-                    Attribute edgeAttribute = edge.attributes.get(attributeIndex);
+                for (int attributeIndex : edge.getAttributesMap().keySet()) {
+                    Attribute edgeAttribute = edge.getAttributesMap().get(attributeIndex);
 
                     filterPassed = (filterPassed && checkAttributeFiltersPassed(edgeAttribute, attributeFilter, attributeIndex));
                     if (!filterPassed) break;   // filter did not pass
@@ -357,7 +355,7 @@ public class GraphManager {
      * @return - true if passed the filter, else false.
      */
     private boolean checkAttributeFiltersPassed(Attribute vertexAttribute, AttributeFilter attributeFilter, int attributeIndex) {
-        AttributeDataType attributeType = attributeTypes.get(vertexAttribute.typeIndex).dataType;
+        AttributeDataType attributeType = attributeTypes.get(vertexAttribute.getTypeIndex()).dataType;
 
         boolean filterPassed;
         ITypeAttributeFilter typeFilter = null;
@@ -379,7 +377,7 @@ public class GraphManager {
             return true;
         }
 
-        filterPassed = typeFilter.filter(vertexAttribute.value);
+        filterPassed = typeFilter.filter(vertexAttribute.getValue());
 
         return filterPassed;
     }
@@ -390,8 +388,8 @@ public class GraphManager {
      * @param filter - Filter to be applied to the vertices.
      * @return A list of vertices filtered by the specified filter object.
      */
-    private HashSet<VertexData> getVerticesByArchetypeFilter(GraphFilter filter) {
-        HashSet<VertexData> resultVertices = new HashSet<>();
+    private HashSet<VertexImpl> getVerticesByArchetypeFilter(GraphFilter filter) {
+        HashSet<VertexImpl> resultVertices = new HashSet<>();
 
         VertexArchetypeFilter vertexArchetypeFilter = filter.getVertexArchetypeFilter();
         List<Integer> archetypesFiltered = vertexArchetypeFilter.archetypeIndeces;
@@ -423,8 +421,8 @@ public class GraphManager {
      * @param resultVertices - List of vertices which should be present in the result graph.
      * @return A list of edges filtered by the specified filter object
      */
-    private List<EdgeData> getEdgesByArchetypeFilter(GraphFilter filter, Set<VertexData> resultVertices) {
-        List<EdgeData> resultEdges = new ArrayList<>();
+    private List<EdgeImpl> getEdgesByArchetypeFilter(GraphFilter filter, Set<VertexImpl> resultVertices) {
+        List<EdgeImpl> resultEdges = new ArrayList<>();
 
         EdgeArchetypeFilter edgeArchetypeFilter = filter.getEdgeArchetypeFilter();
         List<EdgeArchetypeInfo> edgeInfosFiltered = edgeArchetypeFilter.archetypeIndeces;
@@ -445,12 +443,12 @@ public class GraphManager {
                 break;
         }
 
-        Iterator<EdgeData> i = resultEdges.iterator();
+        Iterator<EdgeImpl> i = resultEdges.iterator();
         while (i.hasNext()) {
-            EdgeData edge = i.next();
+            EdgeImpl edge = i.next();
 
-            VertexData toDummy = new VertexData(edge.to, null, null, -1);
-            VertexData fromDummy = new VertexData(edge.from, null, null, -1);
+            VertexImpl toDummy = new VertexImpl(edge.getTo(), edge.getTo(), null, -1,null);
+            VertexImpl fromDummy = new VertexImpl(edge.getFrom(), edge.getFrom(), null, -1, null);
 
             if (!resultVertices.contains(toDummy) || !resultVertices.contains(fromDummy)){
                 i.remove();
@@ -462,37 +460,32 @@ public class GraphManager {
 
     /**
      * Adds edges to graph.
+     *
+     * Edges are equal when their attributes from and to are equal. Equal edges are combined and their differences
+     * are saved in list of SubedgeInfo.
+     *
      * @param graph - graph to which add the edges
      * @param resultEdges - List of edges to add to the graph.
      */
-    private void addEdgesToGraph(GraphInterface graph, List<EdgeData> resultEdges) {
-        HashMap<EdgeData, List<SubedgeInfo>> edgeSet = new HashMap<>();
+    private void addEdgesToGraph(Graph graph, List<EdgeImpl> resultEdges) {
+        HashMap<EdgeImpl, List<SubedgeInfo>> edgeSet = new HashMap<>();
 
-        for (EdgeData edgeData : resultEdges) {
-            ArrayList<String[]> attributes = new ArrayList<>();
-            for (Attribute attr : edgeData.getSortedAttributes()) {
-                String attrName = attributeTypes.get(attr.typeIndex).name;
-                AttributeDataType attrType = attributeTypes.get(attr.typeIndex).dataType;
-
-                StringBuilder attrValue = getAttributeValue(attr, attrType);
-                attributes.add(new String[]{attrName, attrValue.toString()});
-            }
+        for (EdgeImpl edgeImpl : resultEdges) {
+            List<String[]> attributes = getAttributesAsArray(edgeImpl.getSortedAttributes());
+            SubedgeInfo subedgeInfo = new SubedgeInfo(edgeImpl.getOriginalId(), edgeImpl.getArchetype(), attributes);
 
-            SubedgeInfo subedgeInfo = new SubedgeInfo(edgeData.archetypeIndex, attributes);
-            subedgeInfo.id = edgeData.id;
-            if (edgeSet.containsKey(edgeData)) {
-                edgeSet.get(edgeData).add(subedgeInfo);
+            if (edgeSet.containsKey(edgeImpl)) {
+                edgeSet.get(edgeImpl).add(subedgeInfo);
             } else {
                 List<SubedgeInfo> subEdgeInfoList = new ArrayList<>();
                 subEdgeInfoList.add(subedgeInfo);
-                edgeSet.put(new EdgeData(edgeData.id, edgeData.from, edgeData.to, edgeData.text, edgeData.archetypeIndex), subEdgeInfoList);
+                edgeSet.put(edgeImpl, subEdgeInfoList);
             }
         }
 
         int idCounter = 1;
-        for (EdgeData edgeData : edgeSet.keySet()) {
-            EdgeImpl edge = new EdgeImpl(idCounter++, "" + edgeData.from, "" + edgeData.to, true, "[]");
-            edge.setSubedgeInfo(edgeSet.get(edgeData));
+        for (EdgeImpl edgeImpl : edgeSet.keySet()) {
+            Edge edge = new Edge(idCounter++, edgeImpl.getFrom(), edgeImpl.getTo(), edgeImpl.getText(), edgeSet.get(edgeImpl));
             graph.addEdge(edge);
         }
         graph.setVertexArchetypes(vertexArchetypes);
@@ -504,31 +497,31 @@ public class GraphManager {
      * @param graph - Graph to which add the vertices.
      * @param resultVertices - List of vertices to add to the graph.
      */
-    private void addVerticesToGraph(GraphInterface graph, Set<VertexData> resultVertices) {
+    private void addVerticesToGraph(Graph graph, Set<VertexImpl> resultVertices) {
         int idCounter = 1;
-        for (VertexData vertexData : resultVertices) {
-            VertexArchetype archetype = vertexArchetypes.get(vertexData.archetypeIndex);
-            VertexInterface vertex = new VertexImpl(idCounter++, archetype.name + ":" + vertexData.title, "" + vertexData.id);
+        for (VertexImpl vertexImpl : resultVertices) {
 
-            ArrayList<String> attributeStrings = new ArrayList<>();
-            ArrayList<String[]> attributes = new ArrayList<>();
-            for (Attribute attr : vertexData.getSortedAttributes()) {
-                String attrName = attributeTypes.get(attr.typeIndex).name;
-                AttributeDataType attrType = attributeTypes.get(attr.typeIndex).dataType;
+            VertexArchetype archetype = vertexArchetypes.get(vertexImpl.getArchetype());
+            String title = archetype.name + ":" + vertexImpl.getTitle();
+            List<String[]> attributes = getAttributesAsArray(vertexImpl.getSortedAttributes());
 
-                StringBuilder attrValue;
+            Vertex vertex = new Vertex(idCounter++, vertexImpl.getOriginalId(), title, vertexImpl.getArchetype(), vertexImpl.getText(), attributes);
 
-                attrValue = getAttributeValue(attr, attrType);
+            graph.addVertex("" + vertexImpl.getId(), vertex);
+        }
+    }
 
-                attributeStrings.add(attrName + ": " + attrValue);
-                attributes.add(new String[]{attrName, attrValue.toString()});
-            }
+    private List<String[]> getAttributesAsArray(List<Attribute> sortedAttributes) {
+        ArrayList<String[]> attributes = new ArrayList<>();
+
+        for (Attribute attr : sortedAttributes) {
+            String attrName = attributeTypes.get(attr.getTypeIndex()).name;
+            AttributeDataType attrType = attributeTypes.get(attr.getTypeIndex()).dataType;
 
-            vertex.setExportedPackages(attributeStrings);
-            vertex.setArchetype(vertexData.archetypeIndex);
-            vertex.setAttributes(attributes);
-            graph.addVertex("" + vertexData.id, vertex);
+            StringBuilder attrValue = getAttributeValue(attr, attrType);
+            attributes.add(new String[]{attrName, attrValue.toString()});
         }
+        return attributes;
     }
 
     /**
@@ -541,14 +534,14 @@ public class GraphManager {
         StringBuilder attrValue;
         switch (attrType) {
             case NUMBER:
-                attrValue = new StringBuilder(attr.value.toString());
+                attrValue = new StringBuilder(attr.getValue().toString());
                 break;
             case DATE:
-                attrValue = new StringBuilder(attr.value.toString());
+                attrValue = new StringBuilder(attr.getValue().toString());
                 break;
             case ENUM: // Enum attribute type must be a list of integers!
-                List<Integer> valuePositions = (List<Integer>) attr.value;
-                List<String> values = getEnumStringsForAttrIndex(attr.typeIndex, valuePositions);
+                List<Integer> valuePositions = (List<Integer>) attr.getValue();
+                List<String> values = getEnumStringsForAttrIndex(attr.getTypeIndex(), valuePositions);
 
                 attrValue = new StringBuilder();
                 for (int j = 0; j < values.size(); j++) {
@@ -558,7 +551,7 @@ public class GraphManager {
                 }
                 break;
             default:
-                attrValue = new StringBuilder(attr.value.toString());
+                attrValue = new StringBuilder(attr.getValue().toString());
                 break;
         }
         return attrValue;
diff --git a/sources/src/cz/zcu/kiv/offscreen/graph/VertexArchetype.java b/sources/src/cz/zcu/kiv/offscreen/graph/VertexArchetype.java
index d64c50a..f29d35c 100644
--- a/sources/src/cz/zcu/kiv/offscreen/graph/VertexArchetype.java
+++ b/sources/src/cz/zcu/kiv/offscreen/graph/VertexArchetype.java
@@ -12,4 +12,8 @@ public class VertexArchetype {
     public String getName() {
         return name;
     }
+
+    public String getText() {
+        return text;
+    }
 }
diff --git a/sources/src/cz/zcu/kiv/offscreen/graph/VertexImpl.java b/sources/src/cz/zcu/kiv/offscreen/graph/VertexImpl.java
index 72b8750..4c6a7bb 100644
--- a/sources/src/cz/zcu/kiv/offscreen/graph/VertexImpl.java
+++ b/sources/src/cz/zcu/kiv/offscreen/graph/VertexImpl.java
@@ -1,111 +1,58 @@
 package cz.zcu.kiv.offscreen.graph;
 
-import cz.zcu.kiv.offscreen.api.VertexInterface;
-import java.util.LinkedList;
-import java.util.List;
-
-import org.apache.log4j.Logger;
+import cz.zcu.kiv.offscreen.api.BaseVertex;
+import java.util.*;
 
 /**
- *
- * @author Jindra Pavlíková
+ * Class represents vertex which is used for input JSON format.
  */
-public class VertexImpl implements VertexInterface {
+public class VertexImpl extends BaseVertex {
+
+    /** Map contains attributes stored in key value format. Key is index to array of attribute types defined in input file */
+    private Map<Integer, Attribute> attributesMap;
 
-    private int id;
-    private String name;
-    private String symbolicName;
-    private List<String> exportedPackages;
-    private List<String> importedPackages;
-    private int archetype;
-    private Logger logger = Logger.getLogger(VertexImpl.class);
     /**
-     * list of attributes, the first value in each array is the attribute's name and the second value is its value
+     * Creates new vertex.
+     * @param id new generated identification number.
+     * @param originalId original identification number from input file
+     * @param title title of vertex
+     * @param archetypeIndex index of vertex archetype
+     * @param text additional info
      */
-    private List<String[]> attributes;
-//    private List<EdgeInterface> edges;
-
-    public VertexImpl(int id, String name, String symbolicName) {
-        logger.trace("ENTRY");
-        this.id = id;
-        this.name = name;
-        this.symbolicName = symbolicName;
-        this.exportedPackages = new LinkedList<String>();
-        this.importedPackages = new LinkedList<String>();
-        logger.trace("EXIT");
-//        this.edges = new ArrayList<EdgeInterface>();
-    }
-
-    //    public List<EdgeInterface> getEdges() {
-//        return edges;
-//    }
-    @Override
-    public int getId() {
-        logger.trace("ENTRY");
-        logger.trace("EXIT");
-        return id;
-    }
-
-    @Override
-    public String getName() {
-        logger.trace("ENTRY");
-        logger.trace("EXIT");
-        return name;
-    }
-//    public void addEdge(EdgeInterface edge){
-//        this.edges.add(edge);
-//    }
-
-    @Override
-    public List<String> getExportedPackages() {
-        logger.trace("ENTRY");
-        logger.trace("EXIT");
-        return this.exportedPackages;
+    public VertexImpl(int id, int originalId, String title, int archetypeIndex, String text) {
+        super(id, originalId, title, archetypeIndex, text);
+        this.attributesMap = new HashMap<>();
     }
 
-    @Override
-    public List<String> getImportedPackages() {
-        logger.trace("ENTRY");
-        logger.trace("EXIT");
-        return this.importedPackages;
+    public void addAttribute(int attrTypeIndex, Object value) {
+        Attribute attr = new Attribute(attrTypeIndex, value);
+        attributesMap.put(attrTypeIndex, attr);
     }
 
-    @Override
-    public void setExportedPackages(List<String> exportedPackages) {
-        logger.trace("ENTRY");
-        this.exportedPackages = exportedPackages;
-        logger.trace("EXIT");
+    public void addAttributes(Map<Integer, Attribute> attributes) {
+        this.attributesMap.putAll(attributes);
     }
 
-    @Override
-    public void setImportedPackages(List<String> importedPackages) {
-        logger.trace("ENTRY");
-        this.importedPackages = importedPackages;
-        logger.trace("EXIT");
+    public Attribute getAttribute(int attrTypeIndex) {
+        return attributesMap.get(attrTypeIndex);
     }
 
-    @Override
-    public int getArchetype() {
-        return archetype;
+    public Map<Integer, Attribute> getAttributesMap(){
+        return attributesMap;
     }
 
-    @Override
-    public void setArchetype(int archetype) {
-        this.archetype = archetype;
-    }
-
-    @Override
-    public void setAttributes(List<String[]> attributes) {
-        this.attributes = attributes;
-    }
-
-    @Override
-    public List<String[]> getAttributes() {
-        return attributes;
-    }
-
-    @Override
-    public String getSymbolicName() {
-        return this.symbolicName;
+    /**
+     * Return list of attributes sorted by their key value in {@code attributeMap}
+     * @return sorted list
+     */
+    public List<Attribute> getSortedAttributes() {
+        List<Attribute> list = new ArrayList<>();
+        ArrayList<Integer> indices = new ArrayList<>(attributesMap.keySet());
+        //indices.sort(Integer::compareTo);
+        Collections.sort(indices);
+        for (int index : indices) {
+            list.add(attributesMap.get(index));
+        }
+        return list;
     }
 }
diff --git a/sources/src/cz/zcu/kiv/offscreen/graph/creator/GraphGenerator.java b/sources/src/cz/zcu/kiv/offscreen/graph/creator/GraphGenerator.java
index ae0edd3..06b43f6 100644
--- a/sources/src/cz/zcu/kiv/offscreen/graph/creator/GraphGenerator.java
+++ b/sources/src/cz/zcu/kiv/offscreen/graph/creator/GraphGenerator.java
@@ -1,96 +1,96 @@
-package cz.zcu.kiv.offscreen.graph.creator;
-
-import cz.zcu.kiv.offscreen.api.EdgeInterface;
-import cz.zcu.kiv.offscreen.api.GraphInterface;
-import cz.zcu.kiv.offscreen.api.VertexInterface;
-import cz.zcu.kiv.offscreen.graph.EdgeImpl;
-import cz.zcu.kiv.offscreen.graph.GraphImpl;
-import cz.zcu.kiv.offscreen.graph.VertexImpl;
-import java.security.InvalidParameterException;
-import java.util.Random;
-import org.apache.log4j.Logger;
-
-/**
- * @author Jindra Pavlíková <jindra.pav2@seznam.cz>
- */
-public class GraphGenerator {
-
-    private final int COUNT_OF_VERTICES;
-    private final int COUNT_OF_EDGES;
-    private GraphInterface graph;
-    private boolean[][] conectionGraph;
-
-    private Logger logger = Logger.getLogger(GraphGenerator.class);
-    
-    public GraphGenerator(int countOfVertices, int countOfEdges) {
-        logger.trace("ENTRY");
-        if (countOfVertices <= 0 || countOfEdges <= 0
-                || countOfEdges > (countOfVertices * countOfVertices - countOfVertices)) {
-            throw new InvalidParameterException("Count of edges is greater then count of possible edges.");
-        }
-        this.COUNT_OF_VERTICES = countOfVertices;
-        this.COUNT_OF_EDGES = countOfEdges;
-        this.graph = new GraphImpl();
-        this.conectionGraph = new boolean[this.COUNT_OF_VERTICES][this.COUNT_OF_VERTICES];
-        logger.trace("EXIT");
-    }
-
-    /**
-     * This method creates the vertices and adds them to the graph.
-     */
-    private void generateVertices() {
-        logger.trace("ENTRY");
-        VertexInterface vertex;
-        String name;
-
-        for (int i = 0; i < this.COUNT_OF_VERTICES; i++) {
-            name = "vertex " + (i + 1);
-            vertex = new VertexImpl((i + 1), name, name);
-            this.graph.addVertex(name, vertex);
-        }
-        logger.trace("EXIT");
-    }
-
-    /**
-     * Generates edges between randomly selected vertices and adds them to the
-     * graph.
-     */
-    private void generateEdges() {
-        logger.trace("ENTRY");
-        Random rnd = new Random(10);
-        int v1, v2;
-        EdgeInterface edge;
-        VertexImpl vertex1, vertex2;
-        for (int i = 0; i < this.COUNT_OF_EDGES; i++) {
-
-            do {
-                v1 = rnd.nextInt(this.COUNT_OF_VERTICES);
-                v2 = rnd.nextInt(this.COUNT_OF_VERTICES);
-            } while (v1 == v2 || this.conectionGraph[v1][v2] == true);
-
-            this.conectionGraph[v1][v2] = true;
-
-            vertex1 = (VertexImpl) this.graph.getVertices().get("vertex " + (v1 + 1));
-            vertex2 = (VertexImpl) this.graph.getVertices().get("vertex " + (v2 + 1));
-            edge = new EdgeImpl(i + 1, vertex1.getName(), vertex2.getName(), true, "");
-            this.graph.addEdge(edge);
-//            vertex1.addEdge(edge);
-//            vertex2.addEdge(edge);
-
-        }
-        logger.trace("EXIT");
-    }
-
-    /**
-     * Generates the graph with vertices and edges.
-     *
-     * @return graph
-     */
-    public GraphInterface generate() {
-        logger.trace("ENTRY");
-        generateVertices();
-        generateEdges();
-        logger.trace("EXIT");
-        return this.graph;
-    }
-}
+//package cz.zcu.kiv.offscreen.graph.creator;
+//
+//import cz.zcu.kiv.offscreen.api.EdgeInterface;
+//import cz.zcu.kiv.offscreen.api.GraphInterface;
+//import cz.zcu.kiv.offscreen.api.VertexInterface;
+//import cz.zcu.kiv.offscreen.graph.EdgeImpl;
+//import cz.zcu.kiv.offscreen.graph.GraphImpl;
+//import cz.zcu.kiv.offscreen.graph.VertexImpl;
+//import java.security.InvalidParameterException;
+//import java.util.Random;
+//import org.apache.log4j.Logger;
+//
+///**
+// * @author Jindra Pavlíková <jindra.pav2@seznam.cz>
+// */
+//public class GraphGenerator {
+//
+//    private final int COUNT_OF_VERTICES;
+//    private final int COUNT_OF_EDGES;
+//    private GraphInterface graph;
+//    private boolean[][] conectionGraph;
+//
+//    private Logger logger = Logger.getLogger(GraphGenerator.class);
+//
+//    public GraphGenerator(int countOfVertices, int countOfEdges) {
+//        logger.trace("ENTRY");
+//        if (countOfVertices <= 0 || countOfEdges <= 0
+//                || countOfEdges > (countOfVertices * countOfVertices - countOfVertices)) {
+//            throw new InvalidParameterException("Count of edges is greater then count of possible edges.");
+//        }
+//        this.COUNT_OF_VERTICES = countOfVertices;
+//        this.COUNT_OF_EDGES = countOfEdges;
+//        this.graph = new GraphImpl();
+//        this.conectionGraph = new boolean[this.COUNT_OF_VERTICES][this.COUNT_OF_VERTICES];
+//        logger.trace("EXIT");
+//    }
+//
+//    /**
+//     * This method creates the vertices and adds them to the graph.
+//     */
+//    private void generateVertices() {
+//        logger.trace("ENTRY");
+//        VertexInterface vertex;
+//        String name;
+//
+//        for (int i = 0; i < this.COUNT_OF_VERTICES; i++) {
+//            name = "vertex " + (i + 1);
+//            vertex = new VertexImpl((i + 1), name, name);
+//            this.graph.addVertex(name, vertex);
+//        }
+//        logger.trace("EXIT");
+//    }
+//
+//    /**
+//     * Generates edges between randomly selected vertices and adds them to the
+//     * graph.
+//     */
+//    private void generateEdges() {
+//        logger.trace("ENTRY");
+//        Random rnd = new Random(10);
+//        int v1, v2;
+//        EdgeInterface edge;
+//        VertexImpl vertex1, vertex2;
+//        for (int i = 0; i < this.COUNT_OF_EDGES; i++) {
+//
+//            do {
+//                v1 = rnd.nextInt(this.COUNT_OF_VERTICES);
+//                v2 = rnd.nextInt(this.COUNT_OF_VERTICES);
+//            } while (v1 == v2 || this.conectionGraph[v1][v2] == true);
+//
+//            this.conectionGraph[v1][v2] = true;
+//
+//            vertex1 = (VertexImpl) this.graph.getVertices().get("vertex " + (v1 + 1));
+//            vertex2 = (VertexImpl) this.graph.getVertices().get("vertex " + (v2 + 1));
+//            edge = new EdgeImpl(i + 1, vertex1.getName(), vertex2.getName(), true, "");
+//            this.graph.addEdge(edge);
+////            vertex1.addEdge(edge);
+////            vertex2.addEdge(edge);
+//
+//        }
+//        logger.trace("EXIT");
+//    }
+//
+//    /**
+//     * Generates the graph with vertices and edges.
+//     *
+//     * @return graph
+//     */
+//    public GraphInterface generate() {
+//        logger.trace("ENTRY");
+//        generateVertices();
+//        generateEdges();
+//        logger.trace("EXIT");
+//        return this.graph;
+//    }
+//}
